## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLParserLiaison.hpp File Reference

Include dependency graph for XMLParserLiaison.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class XMLParserLiaison

## Defines

- #define XMLPARSERLIAISON_HEADER_GUARD_1357924680

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  EntityResolver EntityResolverType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  ErrorHandler ErrorHandlerType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  InputSource InputSourceType

## Functions

- XALAN_DECLARE_XERCES_CLASS (DocumentHandler) XALAN_DECLARE_XERCES_CLASS(EntityResolver) XALAN_DECLARE_XERCES_CLASS(ErrorHandler) XALAN_DECLARE_XERCES_CLASS(InputSource) XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER DocumentHandler DocumentHandlerType

## Define Documentation

#define XMLPARSERLIAISON_HEADER_GUARD_1357924680

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER EntityResolver EntityResolverType

typedef XERCES_CPP_NAMESPACE_QUALIFIER ErrorHandler ErrorHandlerType

typedef XERCES_CPP_NAMESPACE_QUALIFIER InputSource InputSourceType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | DocumentHandler )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.